User Tools

Site Tools


upgrade

Differences

This shows you the differences between two versions of the page.

Link to this comparison view

Both sides previous revision Previous revision
Next revision
Previous revision
upgrade [2018/08/14 22:48]
lami07
upgrade [2019/12/12 11:06] (current)
8bit
Line 1: Line 1:
 ===== Manual system upgrade ===== ===== Manual system upgrade =====
  
-The manual system upgrade can be done in any terminal emulator, ​depends on your desktop environment,​ such as:+The manual system upgrade can be done in any terminal emulator, ​including:
  
-   * Lxterminal (LXDE, Openbox, JWM) +   * **Lxterminal** (LXDE, Openbox, JWM) 
-   * MATE Terminal (MATE) +   * **MATE** Terminal (MATE) 
-   * Konsole (KDE) +   * **Konsole** (KDE) 
-   * QTerminal (LXQt) +   * **QTerminal** (LXQt) 
-   * Xfce4 Terminal (Xfce) +   * **Xfce4 Terminal** (Xfce) 
-   * Terminology (Enlightenment) +   * **Terminology** (Enlightenment) 
-   * Gnome Terminal, Xterm, Terminator, Tilda, etc., etc.+   * **Gnome Terminal****Xterm****Terminator****Tilda**, etc., etc.
  
 or in a system'​s terminal, which is available via the keys: '​Alt'​ + '​Ctrl'​ + 'F1 - F6' (F7 return to X). or in a system'​s terminal, which is available via the keys: '​Alt'​ + '​Ctrl'​ + 'F1 - F6' (F7 return to X).
Line 15: Line 15:
 All the operations have to be done as system'​s administrator (root). All the operations have to be done as system'​s administrator (root).
  
-Safe upgrade ​- it will upgrade all already installed packages without installing new dependencies:​+**Safe Upgrade** ​- it will upgrade all already installed packages without installing new dependencies:​
  
    sudo apt-get update    sudo apt-get update
    sudo apt-get upgrade    sudo apt-get upgrade
  
-Full system upgrade ​- it will upgrade all packages, with installing additional new packages required by the upgrade process. **This option is recommended for SparkyLinux**,​ because it is based on Debian testing.+**Full System Upgrade** ​- it will upgrade all packages, with installing additional new packages required by the upgrade process. **This option is recommended for SparkyLinux**,​ because it is based on Debian testing.
  
    sudo apt-get update    sudo apt-get update
Line 41: Line 41:
 ---- ----
  
-<WRAP center box 50%> +<WRAP center box 75%> 
-[[repository|<​--- Sparky repository]]|[[install_package|Install new packages --->]]+|[[repository|<​--- Sparky repository]] ​  [[install_package|Install new packages --->]]|
 </​WRAP>​ </​WRAP>​
upgrade.1534279699.txt.gz · Last modified: 2018/08/14 22:48 by lami07